Inhalte

# Funktion CStr

Konvertiert einen beliebigen numerischen Ausdruck in einen Zeichenfolgenausdruck.

## Syntax:

    CStr (Ausdruck)

## Rückgabewert:

String

## Parameter:

Ausdruck: Ein beliebiger gültiger zu konvertierender Zeichenfolgen- oder numerischer Ausdruck.

## Ausdruckstypen und Rückgabewerte der Konvertierung

Boolean : | Zeichenfolge, die entweder als True oder als False ausgewertet wird.
Date : | Zeichenfolge, die das Datum und die Uhrzeit enthält.
Null : | Laufzeitfehler.
Empty : | Leere Zeichenfolge ohne Zeichen.
Any : | Entsprechende Zahl als Zeichenfolge.

Nullen am Ende der Nachkommastelle einer Gleitkommazahl werden nicht in die zurückgegebene Zeichenfolge übernommen.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCSTR
    Dim sVar As String
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
        MsgBox CSng(1234.5678)
        sVar = CStr(1234.5678)
        MsgBox sVar
    End Sub